<?php
/*
Plugin Name: Bitcode Weather
Description: Corrent weather conditions where you are
Version: 1.0
Author: BITCode
Author URI: http://bitcode.pt
License: none
*/
/* Start Adding Functions Below this Line */

// Creating the widget 
class bitcode_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'bitcode_widget', 

// Widget name will appear in UI
__('BITCode Weather', 'bitcode_widget_domain'), 

// Widget description
array( 'description' => __( 'Information about the corrent weather condition in user localisation', 'bitcode_widget_domain' ), ) 
);
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
// before and after widget arguments are defined by themes
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];

// This is where you run the code and display the output

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


	echo '<div id="prevtempo">';
	echo '<h2 id ="localidade"></h2>';
	echo '<h3 id="temperatura"></h3>';
	echo '<div id="img_prev"><span></span><h4></h4></div>';
	echo '<h6></h6>';
	echo '<span id="copyright_underground"></span>';
	echo '</div>';
?>

<?php echo '<script src="/wp-content/plugins/BITCode_Weather/js/js.cookie.js"></script>'; ?>

<script type="text/javascript">

	var loccity = Cookies.get('bit_weather_loccity');

	if ( typeof loccity == 'undefined' ) {
																																																									console.log("cookie NÃO existe");
	  getLocx();
	} else {
																																																									console.log("cookie existe");
		var loccity = Cookies.get('bit_weather_loccity');
		var loccountryname = Cookies.get('bit_weather_loccountryname');
		var loclink = Cookies.get('bit_weather_loclink');
		var datarecolha = Cookies.get('bit_weather_datarecolha');
		var temperatura = Cookies.get('bit_weather_temperatura');
		var dataultimainfo = Cookies.get('bit_weather_dataultimainfo');
		var condicoes = Cookies.get('bit_weather_condicoes');
		var condicoesicon = Cookies.get('bit_weather_condicoesicon');
		var copyright_url = Cookies.get('bit_weather_copyright_url');
		
		jQuery("#prevtempo h2").text(loccity + ", " + loccountryname);
		jQuery("#prevtempo h3").text(temperatura);      
		jQuery("#prevtempo h3").append("<sup>&deg</sup><span>c</span>");
		jQuery("#prevtempo h6").text(dataultimainfo + "*");
		jQuery("#img_prev h4").text(condicoes);
		jQuery("#img_prev > span").append("<img src=" + condicoesicon + ">");
		jQuery("#copyright_underground").append('<a href="' +  copyright_url + '"><img src="http://icons.wxug.com/graphics/wu2/logo_130x80.png" height="90" width="40" target="_blank">');
	  
	};
  
	
	function getLocx () {
	  console.log ("entrou em getLocx");
	  var getLoc = "http://api.wunderground.com/api/<?php echo $instance['apikey'] ?>/geolookup/lang:BR/q/autoip.json";//fe4997bb86372280
	  jQuery.getJSON( getLoc, {
		format: "jsonp"
	  })
		.done(function( data ) {
			console.log (data);
		  var datex = new Date();
		  var minutes = 120; // minutos até fazer novo refresh
		  datex.setTime(datex.getTime() + (minutes * 60 * 1000));
			//alert ("recebida resposta weather"); 
					var loccity = (data.location.city);
		  Cookies.set("bit_weather_loccity", loccity, { expires: datex, path: '/'  });
			var loccountryname = (data.location.country_name);
		  Cookies.set("bit_weather_loccountryname", loccountryname, { expires: datex, path: '/'  });
			var loclink = (data.location.l);
		  Cookies.set("bit_weather_loclink", loclink, { expires: datex, path: '/'  });
			//console.log ("1:" + loccity + ", " + loccountryname + " " + loclink);
	tempo(loccity,loccountryname,loclink,datex);
		  })
		 .fail(function(data) {
				//console.log("erro: " + textStatus);
				//console.log(jqXHR);
				console.log(data);
				jQuery("#prevtempo h2").text("Error... Maybe the API KEY?");
			})
	};


	function tempo (loccity,loccountryname,loclink,datex) { console.log (datex);
	  var getPrev = "http://api.wunderground.com/api/<?php echo $instance['apikey'] ?>/conditions/lang:BR/" + loclink + ".json";
	  jQuery.getJSON( getPrev, {
		format: "json"
	  })
		.done(function( data) {
		  console.log(datex);
				var temperatura = data.current_observation.temp_c;
		  Cookies.set("bit_weather_temperatura", temperatura, { expires: datex, path: '/'  });
		  var dataultimainfo = data.current_observation.observation_time_rfc822;
		  Cookies.set("bit_weather_dataultimainfo", dataultimainfo, { expires: datex, path: '/'  });
		  var condicoes = data.current_observation.weather;
		  Cookies.set("bit_weather_condicoes", condicoes, { expires: datex, path: '/'  });
		  var condicoesicon = data.current_observation.icon_url;
		  Cookies.set("bit_weather_condicoesicon", condicoesicon, { expires: datex, path: '/'  });
		  var copyright_url = data.current_observation.forecast_url;
		  Cookies.set("bit_weather_copyright_url", copyright_url, { expires: datex, path: '/'  });

		  jQuery("#prevtempo h2").text(loccity + ", " + loccountryname);
		  jQuery("#prevtempo h3").text(temperatura);      
		  jQuery("#prevtempo h3").append("<sup>&deg</sup><span>c</span>");
		  jQuery("#prevtempo h6").text(dataultimainfo);
		  jQuery("#img_prev h4").text(condicoes);
		  jQuery("#img_prev > span").append("<img src=" + condicoesicon + ">"); //console.log(data.current_observation.icon_url);
		  jQuery("#copyright_underground").append('<a href="' +  copyright_url + '"><img src="http://icons.wxug.com/graphics/wu2/logo_130x80.png" height="90" width="40" target="_blank">');

		});
	};


</script>  
<?php
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo $args['after_widget'];
}
		
// Widget Backend 

  function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		}
		else {
			$title = __( 'ESTADO DO TEMPO', 'bitcode_widget_domain' );
		}
	  
		if ( isset( $instance[ 'apikey' ] ) ) {
			$apikey = $instance[ 'apikey' ];
		}
		else {
			$apikey = __( '0000000000', 'bitcode_widget_domain' );
		}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'apikey' ); ?>"><?php _e( 'API Key:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'apikey' ); ?>" name="<?php echo $this->get_field_name( 'apikey' ); ?>" type="text" value="<?php echo esc_attr( $apikey ); ?>" />
</p>
<p><small>Get you API KEY <a href="http://www.wunderground.com/weather/api/d/login.html" target="_black">HERE</a></small></p>
<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
$instance['apikey'] = ( ! empty( $new_instance['apikey'] ) ) ? strip_tags( $new_instance['apikey'] ) : '';
return $instance;
}
} // Class wpb_widget ends here

// Register and load the widget
function bitcode_load_widget() {
	register_widget( 'bitcode_widget' );
}
add_action( 'widgets_init', 'bitcode_load_widget' );



/* Stop Adding Functions Below this Line */
?>